[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RolQWord

Rotate bits of a QWord (64-bit) value to the left

## Declaration

Source position: line 0

`function RolQWord(`
`const AValue: QWord`
`):QWord; function RolQWord(`
`const AValue: QWord;`
`const Dist: Byte`
`):QWord;`

## Description

RorQWord rotates the bits of the QWord (64-bit) AValue with Dist positions to the left. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RolByte |  | Rotate bits of a byte value to the left
RolWord |  | Rotate bits of a word value to the left
RolDWord |  | Rotate bits of a DWord (cardinal) value to the left
RorQWord |  | Rotate bits of a QWord (64-bit) value to the right

Documentation generated on: Feb 26 2014